// Package admin Code generated by swaggo/swag. DO NOT EDIT
package admin

import "github.com/swaggo/swag"

const docTemplateadmin = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "license": {
            "name": "MIT",
            "url": "https://github.com/go-admin-team/go-admin/blob/master/LICENSE.md"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/app-config": {
            "get": {
                "description": "获取系统配置信息，主要注意这里不在验证权限",
                "tags": [
                    "配置管理"
                ],
                "summary": "获取系统前台配置信息，主要注意这里不在验证权限",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "object",
                                            "additionalProperties": {
                                                "type": "string"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/captcha": {
            "get": {
                "description": "获取验证码",
                "tags": [
                    "登陆"
                ],
                "summary": "获取验证码",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "string"
                                        },
                                        "id": {
                                            "type": "string"
                                        },
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/common/aliyun/sts_token": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公共模块-V1.0.0"
                ],
                "summary": "获取阿里云oss对象存储token",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.RspAliyunStsToken"
                        }
                    }
                }
            }
        },
        "/api/v1/contract/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合同管理-V1.0.0"
                ],
                "summary": "新建合同",
                "parameters": [
                    {
                        "description": "新建合同模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.CreateContractReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.CreateContractResp"
                        }
                    }
                }
            }
        },
        "/api/v1/contract/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合同管理-V1.0.0"
                ],
                "summary": "删除合同",
                "parameters": [
                    {
                        "description": "删除合同请求参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.DeleteContractReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "合同已删除",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/contract/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合同管理-V1.0.0"
                ],
                "summary": "获取合同详情",
                "parameters": [
                    {
                        "description": "合同详情请求参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ContractDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.ContractDetailResp"
                        }
                    }
                }
            }
        },
        "/api/v1/contract/download": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合同管理-V1.0.0"
                ],
                "summary": "获取合同下载链接",
                "parameters": [
                    {
                        "description": "获取合同下载链接请求",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.GetContractDownloadLinkReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "返回下载链接",
                        "schema": {
                            "$ref": "#/definitions/bus_models.GetContractDownloadLinkResp"
                        }
                    },
                    "400": {
                        "description": "请求参数错误",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "500": {
                        "description": "服务器错误",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            }
        },
        "/api/v1/contract/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合同管理-V1.0.0"
                ],
                "summary": "编辑合同信息",
                "parameters": [
                    {
                        "description": "编辑合同信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.EditContractReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "请求参数错误",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "500": {
                        "description": "服务器错误",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            }
        },
        "/api/v1/contract/invalid": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合同管理-V1.0.0"
                ],
                "summary": "作废合同",
                "parameters": [
                    {
                        "description": "作废合同请求参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.InvalidContractReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "合同已作废",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/contract/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合同管理-V1.0.0"
                ],
                "summary": "获取合同列表",
                "parameters": [
                    {
                        "description": "合同列表请求参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ListContractReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.ListContractResp"
                        }
                    }
                }
            }
        },
        "/api/v1/contract/remark/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合同管理-V1.0.0"
                ],
                "summary": "编辑合同备注",
                "parameters": [
                    {
                        "description": "编辑合同备注请求参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.EditContractRemarkReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "备注更新成功",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/adjust_account": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "账户调整（加款/减款）",
                "parameters": [
                    {
                        "description": "账户调整请求",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.AdjustAccountReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/consumption/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "查询合作商消耗日志",
                "parameters": [
                    {
                        "description": "查询消耗日志请求",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ConsumptionLogListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.ConsumptionLogListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "新建合作商",
                "parameters": [
                    {
                        "description": "新建合作商模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.CreateCooperativeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.CreateCooperativeResp"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "删除合作商",
                "parameters": [
                    {
                        "description": "删除合作商模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.DeleteCooperativeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "查询合作商详情",
                "parameters": [
                    {
                        "description": "查询合作商详情请求参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.CooperativeDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.CooperativeDetailResp"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "编辑合作商",
                "parameters": [
                    {
                        "description": "编辑合作商模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.EditCooperativeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "查询合作商列表",
                "parameters": [
                    {
                        "description": "查询合作商列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.CooperativeListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.CooperativeListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/products": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "查询合作商产品列表",
                "parameters": [
                    {
                        "description": "查询合作商产品模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.QueryCooperativeProductsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.QueryCooperativeProductsResp"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/status": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "设置合作商状态",
                "parameters": [
                    {
                        "description": "设置合作商状态",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SetCooperativeStatusReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/transaction/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "查询合作商充值日志",
                "parameters": [
                    {
                        "description": "查询充值日志请求",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.TransactionListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.TransactionListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/update_discount": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商管理-V1.0.0"
                ],
                "summary": "批量更新合作商产品折扣",
                "parameters": [
                    {
                        "description": "批量更新折扣请求",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.UpdateProductDiscountReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/db/columns/page": {
            "get": {
                "description": "数据库表列分页列表 / database table column page list",
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "分页列表数据 / page list data",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/db/tables/page": {
            "get": {
                "description": "数据库表分页列表 / database table page list",
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "分页列表数据 / page list data",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dept": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "分页列表",
                "tags": [
                    "部门"
                ],
                "summary": "分页部门列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "deptName",
                        "name": "deptName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "deptId",
                        "name": "deptId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "position",
                        "name": "position",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "添加部门",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDeptInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "部门"
                ],
                "summary": "删除部门",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDeptDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dept/{deptId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "部门"
                ],
                "summary": "获取部门数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "deptId",
                        "name": "deptId",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "修改部门",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDeptUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict-data/option-select": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "数据字典根据key获取",
                "tags": [
                    "字典数据"
                ],
                "summary": "数据字典根据key获取",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/dto.SysDictDataGetAllResp"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/dict/data": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "字典数据"
                ],
                "summary": "字典数据列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典数据"
                ],
                "summary": "添加字典数据",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictDataInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "字典数据"
                ],
                "summary": "删除字典数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "dictCode",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictDataDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/data/{dictCode}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "字典数据"
                ],
                "summary": "通过编码获取字典数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典编码",
                        "name": "dictCode",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典数据"
                ],
                "summary": "修改字典数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictDataUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "字典类型"
                ],
                "summary": "字典类型列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "dictName",
                        "name": "dictName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictId",
                        "name": "dictId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典类型"
                ],
                "summary": "添加字典类型",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictTypeInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "字典类型"
                ],
                "summary": "删除字典类型",
                "parameters": [
                    {
                        "description": "body",
                        "name": "dictCode",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictTypeDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type-option-select": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "字典类型"
                ],
                "summary": "字典类型全部数据 代码生成使用接口",
                "parameters": [
                    {
                        "type": "string",
                        "description": "dictName",
                        "name": "dictName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictId",
                        "name": "dictId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type/{dictId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "字典类型"
                ],
                "summary": "字典类型通过字典id获取",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典类型编码",
                        "name": "dictId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典类型"
                ],
                "summary": "修改字典类型",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictTypeUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/getinfo": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "个人中心"
                ],
                "summary": "获取个人信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/login": {
            "post": {
                "description": "获取token\nLoginHandler can be used by clients to get a jwt token.\nPayload needs to be json in the form of {\"username\": \"USERNAME\", \"password\": \"PASSWORD\"}.\nReply will be of the form {\"token\": \"TOKEN\"}.\ndev mode：It should be noted that all fields cannot be empty, and a value of 0 can be passed in addition to the account password\n注意：开发模式：需要注意全部字段不能为空，账号密码外可以传入0值",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "登陆"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "account",
                        "name": "account",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/handler.Login"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"expire\": \"2019-08-07T12:45:48+08:00\", \"token\": \".eyJleHAiOjE1NjUxNTMxNDgsImlkIjoiYWRtaW4iLCJvcmlnX2lhdCI6MTU2NTE0OTU0OH0.-zvzHvbg0A\" }",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menu": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "菜单"
                ],
                "summary": "Menu列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "menuName",
                        "name": "menuName",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "菜单"
                ],
                "summary": "创建菜单",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysMenuInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "菜单"
                ],
                "summary": "删除菜单",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysMenuDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/menu/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "菜单"
                ],
                "summary": "Menu详情数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "菜单"
                ],
                "summary": "修改菜单",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysMenuUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/menuTreeselect/{roleId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "菜单"
                ],
                "summary": "角色修改使用的菜单列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "roleId",
                        "name": "roleId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/menurole": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "菜单"
                ],
                "summary": "根据登录角色名称获取菜单列表数据（左菜单使用）",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/post": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "岗位"
                ],
                "summary": "岗位列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "postName",
                        "name": "postName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "postCode",
                        "name": "postCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "postId",
                        "name": "postId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "岗位"
                ],
                "summary": "添加岗位",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysPostInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "岗位"
                ],
                "summary": "删除岗位",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "id",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysPostDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/post/{id}": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "岗位"
                ],
                "summary": "修改岗位",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysPostUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/post/{postId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "岗位"
                ],
                "summary": "获取岗位信息",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "编码",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/product/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理-V1.0.0"
                ],
                "summary": "新建产品",
                "parameters": [
                    {
                        "description": "新建产品模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.CreateProductReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.CreateProductResp"
                        }
                    }
                }
            }
        },
        "/api/v1/product/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理-V1.0.0"
                ],
                "summary": "删除产品",
                "parameters": [
                    {
                        "description": "删除产品模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.DeleteProductReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/product/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理-V1.0.0"
                ],
                "summary": "编辑产品",
                "parameters": [
                    {
                        "description": "编辑产品模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.EditProductReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/product/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理-V1.0.0"
                ],
                "summary": "查询产品列表",
                "parameters": [
                    {
                        "description": "查询产品列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ProductListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.ProductListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/public/uploadFile": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "公共接口"
                ],
                "summary": "上传图片",
                "parameters": [
                    {
                        "type": "string",
                        "description": "type",
                        "name": "type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/role": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "Get JSON",
                "tags": [
                    "角色/Role"
                ],
                "summary": "角色列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "roleName",
                        "name": "roleName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "roleKey",
                        "name": "roleKey",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色/Role"
                ],
                "summary": "创建角色",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "角色/Role"
                ],
                "summary": "删除用户角色",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/role-status/{id}": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色/Role"
                ],
                "summary": "更新角色数据权限",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.RoleDataScopeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/role/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "角色/Role"
                ],
                "summary": "获取Role数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "roleId",
                        "name": "roleId",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色/Role"
                ],
                "summary": "修改用户角色",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/server-monitor": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "系统信息"
                ],
                "summary": "系统信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/set-config": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "界面操作设置配置值的获取",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "获取配置",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "object",
                                            "additionalProperties": true
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "界面操作设置配置值",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "设置配置",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/dto.GetSetSysConfigReq"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/batch_cancel": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "批量取消定时短信任务",
                "parameters": [
                    {
                        "description": "任务ID列表",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.BatchUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/batch_reset_schedule": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "批量重置定时发送时间",
                "parameters": [
                    {
                        "description": "重置定时时间请求",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.BatchResetScheduleTimeRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/batch_update_content": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "批量修改定时短信内容",
                "parameters": [
                    {
                        "description": "批量修改定时短信内容请求",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.BatchUpdateSmsContentRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/black_list/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-黑名单"
                ],
                "summary": "添加黑名单",
                "parameters": [
                    {
                        "description": "黑名单添加参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.BlacklistAddReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/black_list/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-黑名单"
                ],
                "summary": "批量删除黑名单",
                "parameters": [
                    {
                        "description": "黑名单ID数组",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsBlacklistBatchDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/black_list/export": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-黑名单"
                ],
                "summary": "批量导出黑名单",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ExportBlacklistRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "下载链接",
                        "schema": {
                            "$ref": "#/definitions/bus_models.ExportContactsResp"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/black_list/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-黑名单"
                ],
                "summary": "黑名单列表",
                "parameters": [
                    {
                        "description": "查询参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.BlacklistQuery"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.BlacklistListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/check_sensitive_words": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "敏感词检测",
                "parameters": [
                    {
                        "description": "敏感词检测模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.CheckSensitiveWordsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.CheckSensitiveWordsResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/common_number/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用号码"
                ],
                "summary": "添加常用号码",
                "parameters": [
                    {
                        "description": "添加参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsCommonNumberAddReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/common_number/append": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用号码"
                ],
                "summary": "追加号码",
                "parameters": [
                    {
                        "description": "追加参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsCommonNumberAppendReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/common_number/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用号码"
                ],
                "summary": "批量删除常用号码",
                "parameters": [
                    {
                        "description": "ID列表",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsCommonNumberDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/common_number/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用号码"
                ],
                "summary": "常用号码详情",
                "parameters": [
                    {
                        "description": "常用号码详情模型",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsCommonNumberDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsCommonNumber"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/common_number/export": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/octet-stream"
                ],
                "tags": [
                    "短信管理-通讯录-常用号码"
                ],
                "summary": "导出常用号码",
                "parameters": [
                    {
                        "description": "ID列表",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsCommonNumberExportReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "file"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/common_number/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用号码"
                ],
                "summary": "常用号码列表",
                "parameters": [
                    {
                        "description": "查询参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsCommonNumberQuery"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsCommonNumberListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/contacts/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录"
                ],
                "summary": "新增联系人",
                "parameters": [
                    {
                        "description": "联系人信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ContactInput"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/contacts/batch_delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录"
                ],
                "summary": "批量删除联系人",
                "parameters": [
                    {
                        "description": "删除联系人ID列表",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ContactDeleteRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/contacts/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录"
                ],
                "summary": "编辑联系人",
                "parameters": [
                    {
                        "description": "联系人信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.EditContactInput"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/contacts/export": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录"
                ],
                "summary": "批量导出通讯录",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ExportContactsRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "下载链接",
                        "schema": {
                            "$ref": "#/definitions/bus_models.ExportContactsResp"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/contacts/import": {
            "post": {
                "consumes": [
                    "multipart/form-data"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录"
                ],
                "summary": "批量导入通讯录",
                "parameters": [
                    {
                        "type": "file",
                        "description": "分类ID",
                        "name": "category_id",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "上传Excel文件",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/contacts/list": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录"
                ],
                "summary": "查询通讯录列表",
                "parameters": [
                    {
                        "type": "array",
                        "items": {
                            "type": "integer"
                        },
                        "collectionFormat": "csv",
                        "name": "category_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "模糊搜索",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "模糊搜索",
                        "name": "phone_number",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.ContactQueryResp"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/contacts_category/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录"
                ],
                "summary": "新增通讯录分类节点",
                "parameters": [
                    {
                        "description": "分类信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.AddContactCategoryReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/contacts_category/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录"
                ],
                "summary": "删除通讯录分类",
                "parameters": [
                    {
                        "description": "要删除的分类ID列表",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.DeleteContactCategoryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/contacts_category/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录"
                ],
                "summary": "编辑通讯录分类节点",
                "parameters": [
                    {
                        "description": "编辑信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.EditContactCategoryReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/contacts_category/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录"
                ],
                "summary": "查询通讯录分类树",
                "parameters": [
                    {
                        "description": "要删除的分类ID列表",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ListContactCategoryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsContactCategoryTree"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/export_mess_phone": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "导出号码（群发短信）",
                "parameters": [
                    {
                        "description": "导出号码（群发短信）模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ExportMessPhoneReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.ExportMessPhoneResp"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/get_phones": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "根据批次ID获取手机号",
                "parameters": [
                    {
                        "description": "根据批次ID获取手机号模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.GetPhonesByBatchIDReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.GetPhonesByBatchIDResp"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/mass_import_phone": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "导入号码（群发短信）",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.MassImportPhoneResp"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/phrase/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用短语"
                ],
                "summary": "新增常用短语",
                "parameters": [
                    {
                        "description": "短语数据",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsPhraseAddOrEdit"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/phrase/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用短语"
                ],
                "summary": "批量删除短语",
                "parameters": [
                    {
                        "description": "短语ID数组",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsPhraseBatchDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/phrase/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用短语"
                ],
                "summary": "编辑常用短语",
                "parameters": [
                    {
                        "description": "短语数据",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsPhraseAddOrEdit"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/phrase/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用短语"
                ],
                "summary": "查询常用短语列表",
                "parameters": [
                    {
                        "description": "短语数据",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsPhraseQuery"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/phrase_category/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用短语"
                ],
                "summary": "新增短语分类节点",
                "parameters": [
                    {
                        "description": "分类信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.AddPhraseCategoryReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/phrase_category/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用短语"
                ],
                "summary": "删除常用短语分类",
                "parameters": [
                    {
                        "description": "要删除的分类ID列表",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.DeletePhraseCategoryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/phrase_category/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用短语"
                ],
                "summary": "编辑短语分类节点",
                "parameters": [
                    {
                        "description": "编辑信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.EditPhraseCategoryReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/phrase_category/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-通讯录-常用短语"
                ],
                "summary": "查询常用短语分类树",
                "parameters": [
                    {
                        "description": "要删除的分类ID列表",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ListPhraseCategoryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsPhraseCategoryTree"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/send_sms": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "提交发送任务",
                "parameters": [
                    {
                        "description": "提交发送任务模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SendSmsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/signature_realname/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "新增实名签名",
                "parameters": [
                    {
                        "description": "实名签名信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsSignatureRealname"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/signature_realname/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "批量删除签名实名记录",
                "parameters": [
                    {
                        "description": "删除请求",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.DeleteSignatureRealnameRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/signature_realname/list": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "查询签名实名制列表",
                "parameters": [
                    {
                        "description": "实名签名信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SignatureRealnameQuery"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/signature_realname/update": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "编辑实名签名",
                "parameters": [
                    {
                        "description": "实名签名信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsSignatureRealname"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/sms_log": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "查询短信下行记录",
                "parameters": [
                    {
                        "description": "查询短信下行记录模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTaskQueryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTaskQueryResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/sms_phone_log": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "查询短信下行明细",
                "parameters": [
                    {
                        "description": "查询短信下行明细模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTaskQueryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTaskQueryResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/sms_timing_list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "查询定时短信任务列表",
                "parameters": [
                    {
                        "description": "查询定时短信任务列表请求",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTaskScheduledQueryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTaskQueryResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/template/approve": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-短信模版"
                ],
                "summary": "审核短信模版",
                "parameters": [
                    {
                        "description": "模版审核信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.ApproveTemplateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/template/create": {
            "post": {
                "description": "创建一条新的短信模版，默认为待审核状态",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-短信模版"
                ],
                "summary": "新增短信模版",
                "parameters": [
                    {
                        "description": "短信模版信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTemplateCreateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/template/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-短信模版"
                ],
                "summary": "批量删除短信模版",
                "parameters": [
                    {
                        "description": "ID数组",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.DeleteIdsRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/template/export": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-短信模版"
                ],
                "summary": "导出短信模版",
                "parameters": [
                    {
                        "description": "导出参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTemplateExportReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.ExportTemplateResp"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/template/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-短信模版"
                ],
                "summary": "获取短信模版列表",
                "parameters": [
                    {
                        "description": "查询参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTemplateQuery"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTemplateListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/sms/template/update": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-短信模版"
                ],
                "summary": "修改短信模版",
                "parameters": [
                    {
                        "description": "短信模版更新信息",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsTemplateUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/app.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/sms/uplink_log": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信管理-V1.0.0"
                ],
                "summary": "查询短信上行记录",
                "parameters": [
                    {
                        "description": "查询条件",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsUplinkQueryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/bus_models.SmsUplinkQueryResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-api": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取接口管理列表",
                "tags": [
                    "接口管理"
                ],
                "summary": "获取接口管理列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "名称",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "标题",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "地址",
                        "name": "path",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "类型",
                        "name": "action",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/go-admin_app_admin_models.SysApi"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "新增接口管理",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "接口管理"
                ],
                "summary": "新增接口管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysApiCreateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"创建成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除接口管理",
                "tags": [
                    "接口管理"
                ],
                "summary": "删除接口管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysApiDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-api/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取接口管理",
                "tags": [
                    "接口管理"
                ],
                "summary": "获取接口管理",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/go-admin_app_admin_models.SysApi"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改接口管理",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "接口管理"
                ],
                "summary": "修改接口管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysApiUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-config": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取配置管理列表",
                "tags": [
                    "配置管理"
                ],
                "summary": "获取配置管理列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "名称",
                        "name": "configName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "key",
                        "name": "configKey",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "类型",
                        "name": "configType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "是否前端",
                        "name": "isFrontend",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/go-admin_app_admin_models.SysApi"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建配置管理",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "创建配置管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysConfigControl"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"创建成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除配置管理",
                "tags": [
                    "配置管理"
                ],
                "summary": "删除配置管理",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-config/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "根据Key获取SysConfig的Service",
                "tags": [
                    "配置管理"
                ],
                "summary": "根据Key获取SysConfig的Service",
                "parameters": [
                    {
                        "type": "string",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/dto.SysConfigByKeyReq"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改配置管理",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "修改配置管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysConfigControl"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-login-log": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "登录日志"
                ],
                "summary": "登录日志列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "用户名",
                        "name": "username",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "ip地址",
                        "name": "ipaddr",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "归属地",
                        "name": "loginLocation",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "状态",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "开始时间",
                        "name": "beginTime",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "结束时间",
                        "name": "endTime",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "登录日志删除",
                "tags": [
                    "登录日志"
                ],
                "summary": "登录日志删除",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysLoginLogDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-login-log/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "登录日志"
                ],
                "summary": "登录日志通过id获取",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-opera-log": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "操作日志"
                ],
                "summary": "操作日志列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "title",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "method",
                        "name": "method",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "requestMethod",
                        "name": "requestMethod",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "operUrl",
                        "name": "operUrl",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "operIp",
                        "name": "operIp",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "beginTime",
                        "name": "beginTime",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "endTime",
                        "name": "endTime",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "操作日志"
                ],
                "summary": "删除操作日志",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysOperaLogDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-opera-log/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "操作日志"
                ],
                "summary": "操作日志通过id获取",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-user": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "用户"
                ],
                "summary": "列表用户信息数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "username",
                        "name": "username",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "创建用户",
                "parameters": [
                    {
                        "description": "用户数据",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysUserInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-user/{userId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "用户"
                ],
                "summary": "获取用户",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "用户编码",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改用户数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysUserUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "用户"
                ],
                "summary": "删除用户数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "userId",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/info": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改表结构",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "修改表结构",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/tools.SysTables"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "添加表结构",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "添加表结构",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tables",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/info/{tableId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "获取配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除表结构",
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "删除表结构",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "tableId",
                        "name": "tableId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/page": {
            "get": {
                "description": "生成表分页列表",
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "分页列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/user/avatar": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "个人中心"
                ],
                "summary": "修改头像",
                "parameters": [
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/user/profile": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "个人中心"
                ],
                "summary": "获取个人中心用户",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/user/pwd/reset": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "重置用户密码",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ResetSysUserPwdReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/user/pwd/set": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改密码",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.PassWord"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/user/status": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改用户状态",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.UpdateSysUserStatusReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/logout": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取token",
                "consumes": [
                    "application/json"
                ],
                "summary": "退出登录",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"msg\": \"成功退出系统\" }",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "app.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "代码",
                    "type": "integer",
                    "example": 200
                },
                "data": {
                    "description": "数据集"
                },
                "msg": {
                    "description": "消息",
                    "type": "string"
                },
                "requestId": {
                    "description": "请求id",
                    "type": "string"
                }
            }
        },
        "bus_models.AddContactCategoryReq": {
            "type": "object",
            "required": [
                "name"
            ],
            "properties": {
                "name": {
                    "type": "string"
                },
                "parent_id": {
                    "description": "默认 0 表示顶级",
                    "type": "integer"
                }
            }
        },
        "bus_models.AddPhraseCategoryReq": {
            "type": "object",
            "required": [
                "name"
            ],
            "properties": {
                "name": {
                    "type": "string"
                },
                "parent_id": {
                    "description": "默认 0 表示顶级",
                    "type": "integer"
                }
            }
        },
        "bus_models.AdjustAccountReq": {
            "type": "object",
            "required": [
                "cooperative_number",
                "transaction_type"
            ],
            "properties": {
                "amount": {
                    "description": "调整金额",
                    "type": "number"
                },
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "gift_amount": {
                    "description": "赠送金额",
                    "type": "number"
                },
                "remark": {
                    "description": "备注信息，例如交易编号、支付凭证等",
                    "type": "string"
                },
                "source_funding_type": {
                    "description": "资金来源，例如 \"对公转账\"、\"支付宝\"、\"微信\"、\"现金\"等（查询字典值）",
                    "type": "integer"
                },
                "transaction_type": {
                    "description": "交易类型（1-加款, 2-减款）",
                    "type": "integer"
                }
            }
        },
        "bus_models.ApproveTemplateRequest": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "status": {
                    "description": "1 正常, 2 审核不通过",
                    "type": "integer"
                }
            }
        },
        "bus_models.BatchResetScheduleTimeRequest": {
            "type": "object",
            "properties": {
                "schedule_time": {
                    "description": "新定时时间",
                    "type": "string"
                },
                "task_ids": {
                    "description": "任务ID列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.BatchUpdateRequest": {
            "type": "object",
            "properties": {
                "task_ids": {
                    "description": "任务ID列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.BatchUpdateSmsContentRequest": {
            "type": "object",
            "properties": {
                "sms_content": {
                    "description": "新的短信内容",
                    "type": "string"
                },
                "task_ids": {
                    "description": "任务ID列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.BlacklistAddReq": {
            "type": "object",
            "required": [
                "phone_list"
            ],
            "properties": {
                "phone_list": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "remark": {
                    "type": "string"
                }
            }
        },
        "bus_models.BlacklistListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.SmsBlackList"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                },
                "total_page": {
                    "type": "integer"
                }
            }
        },
        "bus_models.BlacklistQuery": {
            "type": "object",
            "properties": {
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "phone_number": {
                    "type": "string"
                }
            }
        },
        "bus_models.BusContract": {
            "type": "object",
            "properties": {
                "contract_number": {
                    "description": "合同号",
                    "type": "string"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "files": {
                    "description": "文件",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "signatory_account": {
                    "description": "签署帐户",
                    "type": "string"
                },
                "status": {
                    "description": "状态（1: 生效中, 2: 已作废）",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "bus_models.BusCooperative": {
            "type": "object",
            "properties": {
                "account": {
                    "description": "账户",
                    "type": "string"
                },
                "balance": {
                    "description": "账户余额",
                    "type": "number"
                },
                "bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "bond": {
                    "description": "保证金",
                    "type": "number"
                },
                "card_holder": {
                    "description": "开户人",
                    "type": "string"
                },
                "card_id": {
                    "description": "银行帐号",
                    "type": "string"
                },
                "contact": {
                    "description": "联系人",
                    "type": "string"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "free": {
                    "description": "赠送余额",
                    "type": "number"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "password": {
                    "description": "密码（建议存储加密哈希值）",
                    "type": "string"
                },
                "products": {
                    "description": "产品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.ProductDetail"
                    }
                },
                "status": {
                    "description": "账户状态（1启用 2禁用）",
                    "type": "integer"
                },
                "tax_id": {
                    "description": "税号",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "userId": {
                    "description": "用户ID（重置密码时需要）",
                    "type": "integer"
                }
            }
        },
        "bus_models.BusCooperativeConsumptionLog": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "总消耗金额（正式余额+赠送余额）",
                    "type": "number"
                },
                "balance_after": {
                    "description": "消耗后 正式余额",
                    "type": "number"
                },
                "balance_before": {
                    "description": "消耗前 正式余额",
                    "type": "number"
                },
                "business_id": {
                    "description": "关联业务ID",
                    "type": "integer"
                },
                "consumption_type": {
                    "description": "消耗类型（1-短信发送，2-话费充值，3-流量充值，4-其他）",
                    "type": "integer"
                },
                "cooperative_id": {
                    "description": "合作商ID",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "free_after": {
                    "description": "消耗后 赠送余额",
                    "type": "number"
                },
                "free_before": {
                    "description": "消耗前 赠送余额",
                    "type": "number"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "source_desc": {
                    "description": "消耗来源描述",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "use_balance_amount": {
                    "description": "本次消耗的正式余额",
                    "type": "number"
                },
                "use_free_amount": {
                    "description": "本次消耗的赠送余额",
                    "type": "number"
                }
            }
        },
        "bus_models.BusCooperativeTransaction": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "交易金额",
                    "type": "number"
                },
                "balance_after": {
                    "description": "交易后余额",
                    "type": "number"
                },
                "balance_before": {
                    "description": "交易前余额",
                    "type": "number"
                },
                "cooperative_id": {
                    "description": "关联的合作商ID",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "gift_amount": {
                    "description": "赠送金额",
                    "type": "number"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "source_funding_type": {
                    "description": "资金来源ID（关联 BusFundSource）",
                    "type": "integer"
                },
                "transaction_type": {
                    "description": "交易类型（1-加款, 2-减款）",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "bus_models.BusProduct": {
            "type": "object",
            "properties": {
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "description": {
                    "description": "产品描述",
                    "type": "string"
                },
                "discount": {
                    "description": "折扣",
                    "type": "number"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "platform": {
                    "description": "运营商：1-移动 2-联通 3-电信",
                    "type": "integer"
                },
                "price": {
                    "description": "标准价格",
                    "type": "number"
                },
                "product_attr": {
                    "description": "产品属性：1-直连运营商 2-第三方",
                    "type": "integer"
                },
                "product_code": {
                    "description": "产品编码，唯一",
                    "type": "string"
                },
                "product_name": {
                    "description": "产品名称",
                    "type": "string"
                },
                "product_type": {
                    "description": "产品类型：1-短信 2-话费 3-流量",
                    "type": "integer"
                },
                "province": {
                    "description": "运营商省份",
                    "type": "string"
                },
                "retail_price": {
                    "description": "建议零售价格",
                    "type": "number"
                },
                "service_code": {
                    "description": "服务编码，广东深圳移动新产品需要",
                    "type": "string"
                },
                "size": {
                    "description": "流量大小",
                    "type": "string"
                },
                "type": {
                    "description": "类型：1-省内 2-国内",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "bus_models.CheckSensitiveWordsReq": {
            "type": "object",
            "required": [
                "content"
            ],
            "properties": {
                "content": {
                    "description": "短信内容",
                    "type": "string"
                }
            }
        },
        "bus_models.CheckSensitiveWordsResponse": {
            "type": "object",
            "properties": {
                "has_sensitive_words": {
                    "description": "是否检测到敏感词：true 检测到； false 未检测到",
                    "type": "boolean"
                },
                "sensitive_words": {
                    "description": "敏感词",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "bus_models.ConsumptionLogListReq": {
            "type": "object",
            "properties": {
                "consumption_type": {
                    "description": "消耗类型（1-短信发送，2-话费充值，3-流量充值，4-其他）",
                    "type": "integer"
                },
                "cooperative_id": {
                    "description": "合作商ID",
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                }
            }
        },
        "bus_models.ConsumptionLogListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.BusCooperativeConsumptionLog"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "bus_models.ContactDeleteRequest": {
            "type": "object",
            "required": [
                "contact_ids"
            ],
            "properties": {
                "contact_ids": {
                    "description": "要删除的记录ID列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.ContactInput": {
            "type": "object",
            "required": [
                "category_id"
            ],
            "properties": {
                "address": {
                    "type": "string"
                },
                "birthday": {
                    "description": "先用 string 接收",
                    "type": "string"
                },
                "category_id": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "company": {
                    "type": "string"
                },
                "gender": {
                    "type": "string"
                },
                "id": {
                    "description": "联系人ID",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone_number": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                }
            }
        },
        "bus_models.ContactQueryResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.SmsContact"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                },
                "total_page": {
                    "type": "integer"
                }
            }
        },
        "bus_models.ContractDetailReq": {
            "type": "object",
            "required": [
                "contract_number"
            ],
            "properties": {
                "contract_number": {
                    "description": "合同号",
                    "type": "string"
                }
            }
        },
        "bus_models.ContractDetailResp": {
            "type": "object",
            "properties": {
                "contract_number": {
                    "description": "合同号",
                    "type": "string"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "files": {
                    "description": "文件",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "signatory_account": {
                    "description": "签署帐户",
                    "type": "string"
                },
                "status": {
                    "description": "状态（1: 生效中, 2: 已作废）",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "bus_models.CooperativeDetailReq": {
            "type": "object",
            "required": [
                "cooperative_number"
            ],
            "properties": {
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                }
            }
        },
        "bus_models.CooperativeDetailResp": {
            "type": "object",
            "properties": {
                "account": {
                    "description": "账户",
                    "type": "string"
                },
                "balance": {
                    "description": "账户余额",
                    "type": "number"
                },
                "bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "bond": {
                    "description": "保证金",
                    "type": "number"
                },
                "card_holder": {
                    "description": "开户人",
                    "type": "string"
                },
                "card_id": {
                    "description": "银行帐号",
                    "type": "string"
                },
                "contact": {
                    "description": "联系人",
                    "type": "string"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "free": {
                    "description": "赠送余额",
                    "type": "number"
                },
                "password": {
                    "description": "密码（建议存储加密哈希值）",
                    "type": "string"
                },
                "products": {
                    "description": "产品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.ProductDetail"
                    }
                },
                "status": {
                    "description": "账户状态（1启用 2禁用）",
                    "type": "integer"
                },
                "tax_id": {
                    "description": "税号",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                }
            }
        },
        "bus_models.CooperativeListReq": {
            "type": "object",
            "required": [
                "page",
                "page_size"
            ],
            "properties": {
                "cooperative_name": {
                    "description": "合作商名称（支持模糊查询）",
                    "type": "string"
                },
                "cooperative_number": {
                    "description": "合作商编号（可选）",
                    "type": "string"
                },
                "page": {
                    "description": "页码",
                    "type": "integer",
                    "minimum": 1
                },
                "page_size": {
                    "description": "每页条数",
                    "type": "integer",
                    "maximum": 100,
                    "minimum": 1
                },
                "status": {
                    "description": "账户状态（1启用 2禁用）",
                    "type": "integer"
                }
            }
        },
        "bus_models.CooperativeListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "合作商列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.BusCooperative"
                    }
                },
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "total": {
                    "description": "总记录数",
                    "type": "integer"
                }
            }
        },
        "bus_models.CreateContractReq": {
            "type": "object",
            "required": [
                "cooperative_name",
                "cooperative_number",
                "files"
            ],
            "properties": {
                "cooperative_name": {
                    "type": "string"
                },
                "cooperative_number": {
                    "type": "string"
                },
                "files": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                }
            }
        },
        "bus_models.CreateContractResp": {
            "type": "object",
            "properties": {
                "contract_number": {
                    "description": "合同号",
                    "type": "string"
                }
            }
        },
        "bus_models.CreateCooperativeReq": {
            "type": "object",
            "required": [
                "account",
                "cooperative_name",
                "password"
            ],
            "properties": {
                "account": {
                    "description": "账户",
                    "type": "string"
                },
                "balance": {
                    "description": "账户余额（可选）",
                    "type": "number"
                },
                "bank": {
                    "description": "开户行（可选）",
                    "type": "string"
                },
                "bond": {
                    "description": "保证金（可选）",
                    "type": "number"
                },
                "card_holder": {
                    "description": "开户人（可选）",
                    "type": "string"
                },
                "card_id": {
                    "description": "银行帐号（可选）",
                    "type": "string"
                },
                "contact": {
                    "description": "联系人",
                    "type": "string"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "free": {
                    "description": "赠送余额（可选）",
                    "type": "number"
                },
                "password": {
                    "description": "密码（前端传输时应加密）",
                    "type": "string"
                },
                "products": {
                    "description": "关联产品及折扣信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.ProductDetail"
                    }
                },
                "tax_id": {
                    "description": "税号（可选）",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                }
            }
        },
        "bus_models.CreateCooperativeResp": {
            "type": "object",
            "properties": {
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                }
            }
        },
        "bus_models.CreateProductReq": {
            "type": "object",
            "required": [
                "platform",
                "price",
                "product_code",
                "product_name",
                "product_type",
                "province"
            ],
            "properties": {
                "city": {
                    "description": "城市（可选）",
                    "type": "string"
                },
                "description": {
                    "description": "产品描述",
                    "type": "string"
                },
                "discount": {
                    "description": "折扣",
                    "type": "number"
                },
                "platform": {
                    "description": "运营商：1-移动 2-联通 3-电信",
                    "type": "integer"
                },
                "price": {
                    "description": "标准价格",
                    "type": "number"
                },
                "product_attr": {
                    "description": "产品属性：1-直连运营商 2-第三方",
                    "type": "integer"
                },
                "product_code": {
                    "description": "产品编码",
                    "type": "string"
                },
                "product_name": {
                    "description": "产品名称",
                    "type": "string"
                },
                "product_type": {
                    "description": "产品类型：1-短信 2-话费 3-流量",
                    "type": "integer"
                },
                "province": {
                    "description": "运营商省份",
                    "type": "string"
                },
                "retail_price": {
                    "description": "建议零售价格",
                    "type": "number"
                },
                "service_code": {
                    "description": "服务编码",
                    "type": "string"
                },
                "size": {
                    "description": "流量大小",
                    "type": "string"
                },
                "type": {
                    "description": "类型：1-省内 2-国内",
                    "type": "integer"
                }
            }
        },
        "bus_models.CreateProductResp": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "新创建的产品ID",
                    "type": "integer"
                }
            }
        },
        "bus_models.DeleteContactCategoryRequest": {
            "type": "object",
            "required": [
                "ids"
            ],
            "properties": {
                "ids": {
                    "description": "要删除的分类ID列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.DeleteContractReq": {
            "type": "object",
            "required": [
                "contract_number"
            ],
            "properties": {
                "contract_number": {
                    "description": "合同号",
                    "type": "string"
                }
            }
        },
        "bus_models.DeleteCooperativeReq": {
            "type": "object",
            "properties": {
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                }
            }
        },
        "bus_models.DeleteIdsRequest": {
            "type": "object",
            "required": [
                "ids"
            ],
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.DeletePhraseCategoryRequest": {
            "type": "object",
            "required": [
                "ids"
            ],
            "properties": {
                "ids": {
                    "description": "要删除的分类ID列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.DeleteProductReq": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "id": {
                    "description": "产品ID",
                    "type": "integer"
                }
            }
        },
        "bus_models.DeleteSignatureRealnameRequest": {
            "type": "object",
            "required": [
                "ids"
            ],
            "properties": {
                "ids": {
                    "description": "要删除的记录ID列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.EditContactCategoryReq": {
            "type": "object",
            "required": [
                "id",
                "name"
            ],
            "properties": {
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "bus_models.EditContactInput": {
            "type": "object",
            "required": [
                "category_id"
            ],
            "properties": {
                "address": {
                    "type": "string"
                },
                "birthday": {
                    "description": "先用 string 接收",
                    "type": "string"
                },
                "category_id": {
                    "type": "integer"
                },
                "company": {
                    "type": "string"
                },
                "gender": {
                    "type": "string"
                },
                "id": {
                    "description": "联系人ID",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone_number": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                }
            }
        },
        "bus_models.EditContractRemarkReq": {
            "type": "object",
            "required": [
                "contract_number"
            ],
            "properties": {
                "contract_number": {
                    "description": "合同号",
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                }
            }
        },
        "bus_models.EditContractReq": {
            "type": "object",
            "required": [
                "contract_number"
            ],
            "properties": {
                "contract_number": {
                    "description": "合同号（必填，用于匹配要修改的合同）",
                    "type": "string"
                },
                "cooperative_name": {
                    "description": "合作商名称（可选）",
                    "type": "string"
                },
                "cooperative_number": {
                    "description": "合作商编号（可选）",
                    "type": "string"
                },
                "remark": {
                    "description": "备注（可选）",
                    "type": "string"
                },
                "signatory_account": {
                    "description": "签署账户（可选）",
                    "type": "string"
                }
            }
        },
        "bus_models.EditCooperativeReq": {
            "type": "object",
            "properties": {
                "account": {
                    "description": "账户（可选）",
                    "type": "string"
                },
                "balance": {
                    "description": "账户余额（可选）",
                    "type": "number"
                },
                "bank": {
                    "description": "开户行（可选）",
                    "type": "string"
                },
                "bond": {
                    "description": "保证金（可选）",
                    "type": "number"
                },
                "card_holder": {
                    "description": "开户人（可选）",
                    "type": "string"
                },
                "card_id": {
                    "description": "银行帐号（可选）",
                    "type": "string"
                },
                "contact": {
                    "description": "联系人（可选）",
                    "type": "string"
                },
                "cooperative_name": {
                    "description": "合作商名称（可选）",
                    "type": "string"
                },
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "free": {
                    "description": "赠送余额（可选）",
                    "type": "number"
                },
                "password": {
                    "description": "密码（可选，前端加密传输）",
                    "type": "string"
                },
                "products": {
                    "description": "关联产品及折扣信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.ProductDetail"
                    }
                },
                "status": {
                    "description": "账户状态（可选）",
                    "type": "integer"
                },
                "tax_id": {
                    "description": "税号（可选）",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号（可选）",
                    "type": "string"
                }
            }
        },
        "bus_models.EditPhraseCategoryReq": {
            "type": "object",
            "required": [
                "id",
                "name"
            ],
            "properties": {
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "bus_models.EditProductReq": {
            "type": "object",
            "required": [
                "id",
                "product_code",
                "product_name"
            ],
            "properties": {
                "city": {
                    "description": "城市（可选）",
                    "type": "string"
                },
                "description": {
                    "description": "产品描述",
                    "type": "string"
                },
                "discount": {
                    "description": "折扣",
                    "type": "number"
                },
                "id": {
                    "description": "产品ID",
                    "type": "integer"
                },
                "platform": {
                    "description": "运营商：1-移动 2-联通 3-电信",
                    "type": "integer"
                },
                "price": {
                    "description": "标准价格",
                    "type": "number"
                },
                "product_attr": {
                    "description": "产品属性：1-直连运营商 2-第三方",
                    "type": "integer"
                },
                "product_code": {
                    "description": "产品编码",
                    "type": "string"
                },
                "product_name": {
                    "description": "产品名称",
                    "type": "string"
                },
                "product_type": {
                    "description": "产品类型：1-短信 2-话费 3-流量",
                    "type": "integer"
                },
                "province": {
                    "description": "运营商省份",
                    "type": "string"
                },
                "retail_price": {
                    "description": "建议零售价格",
                    "type": "number"
                },
                "service_code": {
                    "description": "服务编码",
                    "type": "string"
                },
                "size": {
                    "description": "流量大小",
                    "type": "string"
                },
                "type": {
                    "description": "类型：1-省内 2-国内",
                    "type": "integer"
                }
            }
        },
        "bus_models.ExportBlacklistRequest": {
            "type": "object",
            "properties": {
                "all": {
                    "description": "是否导出全部",
                    "type": "boolean"
                },
                "ids": {
                    "description": "指定导出的手机号ID",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "bus_models.ExportContactsRequest": {
            "type": "object",
            "properties": {
                "all": {
                    "description": "是否导出全部",
                    "type": "boolean"
                },
                "ids": {
                    "description": "联系人ID列表（优先）",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.ExportContactsResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "下载链接",
                    "type": "string"
                }
            }
        },
        "bus_models.ExportMessPhoneReq": {
            "type": "object",
            "properties": {
                "data": {
                    "description": "加密数据",
                    "type": "string"
                },
                "import_serial_number": {
                    "description": "导入excel返回的编号",
                    "type": "string"
                },
                "phone_list": {
                    "description": "手机号码列表",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "bus_models.ExportMessPhoneResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "下载链接",
                    "type": "string"
                }
            }
        },
        "bus_models.ExportTemplateResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "下载地址",
                    "type": "string"
                }
            }
        },
        "bus_models.GetContractDownloadLinkReq": {
            "type": "object",
            "required": [
                "contract_number"
            ],
            "properties": {
                "contract_number": {
                    "description": "合同号（必填）",
                    "type": "string"
                }
            }
        },
        "bus_models.GetContractDownloadLinkResp": {
            "type": "object",
            "properties": {
                "download_url": {
                    "description": "合同下载链接",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "bus_models.GetPhonesByBatchIDReq": {
            "type": "object",
            "required": [
                "batch_id"
            ],
            "properties": {
                "batch_id": {
                    "description": "批次ID",
                    "type": "string"
                }
            }
        },
        "bus_models.GetPhonesByBatchIDResp": {
            "type": "object",
            "properties": {
                "phones": {
                    "description": "手机号列表",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "bus_models.InvalidContractReq": {
            "type": "object",
            "required": [
                "contract_number"
            ],
            "properties": {
                "contract_number": {
                    "description": "合同号",
                    "type": "string"
                }
            }
        },
        "bus_models.ListContactCategoryRequest": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "为空表示查询整个树",
                    "type": "integer"
                }
            }
        },
        "bus_models.ListContractReq": {
            "type": "object",
            "properties": {
                "contract_number": {
                    "description": "合同号（可选）",
                    "type": "string"
                },
                "cooperative_name": {
                    "description": "合作商名称（可选）",
                    "type": "string"
                },
                "cooperative_number": {
                    "description": "合作商编号（可选）",
                    "type": "string"
                },
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页数量",
                    "type": "integer"
                },
                "status": {
                    "description": "合同状态（1: 生效中, 2: 已作废，可选）",
                    "type": "integer"
                }
            }
        },
        "bus_models.ListContractResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.BusContract"
                    }
                },
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "total": {
                    "description": "总记录数",
                    "type": "integer"
                }
            }
        },
        "bus_models.ListPhraseCategoryRequest": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "为空表示查询整个树",
                    "type": "integer"
                }
            }
        },
        "bus_models.MassImportPhoneResp": {
            "type": "object",
            "properties": {
                "import_serial_number": {
                    "description": "导入excel返回的编号",
                    "type": "string"
                },
                "list": {
                    "description": "加密后的数据",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "bus_models.ProductDetail": {
            "type": "object",
            "properties": {
                "discount": {
                    "description": "折扣（0-1）：给到合作商的折扣，不是产品本身的折扣",
                    "type": "number"
                },
                "product_code": {
                    "description": "产品编码",
                    "type": "string"
                },
                "product_id": {
                    "description": "产品ID",
                    "type": "integer"
                },
                "product_name": {
                    "description": "产品名称",
                    "type": "string"
                }
            }
        },
        "bus_models.ProductDiscount": {
            "type": "object",
            "required": [
                "discount",
                "product_id"
            ],
            "properties": {
                "discount": {
                    "description": "折扣（0-1之间）",
                    "type": "number"
                },
                "product_id": {
                    "description": "产品ID",
                    "type": "integer"
                }
            }
        },
        "bus_models.ProductInfo": {
            "type": "object",
            "properties": {
                "city": {
                    "type": "string"
                },
                "description": {
                    "type": "string"
                },
                "discount": {
                    "type": "number"
                },
                "platform": {
                    "type": "integer"
                },
                "price": {
                    "type": "number"
                },
                "product_code": {
                    "type": "string"
                },
                "product_id": {
                    "description": "产品ID",
                    "type": "integer"
                },
                "product_name": {
                    "type": "string"
                },
                "product_type": {
                    "type": "integer"
                },
                "province": {
                    "type": "string"
                },
                "retail_price": {
                    "type": "number"
                },
                "size": {
                    "type": "string"
                },
                "type": {
                    "type": "integer"
                }
            }
        },
        "bus_models.ProductListReq": {
            "type": "object",
            "properties": {
                "city": {
                    "description": "城市（可选）",
                    "type": "string"
                },
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "platform": {
                    "description": "运营商：1-移动 2-联通 3-电信（可选）",
                    "type": "integer"
                },
                "product_code": {
                    "description": "产品编码（可选）",
                    "type": "string"
                },
                "product_name": {
                    "description": "产品名称（可选）",
                    "type": "string"
                },
                "product_type": {
                    "description": "产品类型：1-短信 2-话费 3-流量（可选）",
                    "type": "integer"
                },
                "province": {
                    "description": "省份（可选）",
                    "type": "string"
                }
            }
        },
        "bus_models.ProductListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "产品列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.BusProduct"
                    }
                },
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "total": {
                    "description": "总记录数",
                    "type": "integer"
                }
            }
        },
        "bus_models.QueryCooperativeProductsReq": {
            "type": "object",
            "required": [
                "cooperative_number"
            ],
            "properties": {
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页条数",
                    "type": "integer"
                }
            }
        },
        "bus_models.QueryCooperativeProductsResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "产品信息列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.ProductInfo"
                    }
                },
                "page": {
                    "description": "当前页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "bus_models.RspAliyunStsToken": {
            "type": "object",
            "properties": {
                "SecurityToken": {
                    "type": "string"
                },
                "accessKeyId": {
                    "type": "string"
                },
                "accessKeySecret": {
                    "type": "string"
                },
                "bucketName": {
                    "type": "string"
                },
                "expiration": {
                    "type": "integer"
                }
            }
        },
        "bus_models.SendSmsReq": {
            "type": "object",
            "properties": {
                "data": {
                    "description": "加密数据",
                    "type": "string"
                },
                "import_serial_number": {
                    "description": "导入excel返回的编号",
                    "type": "string"
                },
                "phone_list": {
                    "description": "手机号码列表",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "send_time": {
                    "description": "发送时间（定时设置）",
                    "type": "string"
                },
                "sms_content": {
                    "description": "短信内容",
                    "type": "string"
                }
            }
        },
        "bus_models.SetCooperativeStatusReq": {
            "type": "object",
            "required": [
                "cooperative_number",
                "status"
            ],
            "properties": {
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "status": {
                    "description": "状态 (1 启用, 2 禁用)",
                    "type": "integer",
                    "enum": [
                        1,
                        2
                    ]
                }
            }
        },
        "bus_models.SignatureRealnameQuery": {
            "type": "object",
            "properties": {
                "company_credit_code": {
                    "type": "string"
                },
                "company_name": {
                    "type": "string"
                },
                "cooperative_name": {
                    "type": "string"
                },
                "is_active": {
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "responsible_name": {
                    "type": "string"
                },
                "signature": {
                    "type": "string"
                },
                "usage_category": {
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsBlackList": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "phone_number": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "bus_models.SmsBlacklistBatchDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "description": "黑名单记录ID",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.SmsCommonNumber": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone_count": {
                    "description": "号码数量（从 phone_numbers 计算）",
                    "type": "integer"
                },
                "phone_numbers": {
                    "description": "如：\"12345678901,13322223333\"",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "bus_models.SmsCommonNumberAddReq": {
            "type": "object",
            "required": [
                "name",
                "phone_list"
            ],
            "properties": {
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "phone_list": {
                    "description": "号码列表",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "bus_models.SmsCommonNumberAppendReq": {
            "type": "object",
            "required": [
                "id",
                "phone_list"
            ],
            "properties": {
                "id": {
                    "description": "记录ID",
                    "type": "integer"
                },
                "phone_list": {
                    "description": "需要追加的号码列表",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "bus_models.SmsCommonNumberDeleteReq": {
            "type": "object",
            "required": [
                "ids"
            ],
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "phone_number": {
                    "type": "string"
                }
            }
        },
        "bus_models.SmsCommonNumberDetailReq": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "id": {
                    "description": "记录ID",
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsCommonNumberExportReq": {
            "type": "object",
            "properties": {
                "all": {
                    "description": "是否导出全部",
                    "type": "boolean"
                },
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.SmsCommonNumberListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.SmsCommonNumber"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                },
                "totalPage": {
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsCommonNumberQuery": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "page": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsContact": {
            "type": "object",
            "properties": {
                "address": {
                    "type": "string"
                },
                "birthday": {
                    "type": "string"
                },
                "category_id": {
                    "type": "integer"
                },
                "company": {
                    "type": "string"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "gender": {
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone_number": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "bus_models.SmsContactCategoryTree": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.SmsContactCategoryTree"
                    }
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "parent_id": {
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsPhraseAddOrEdit": {
            "type": "object",
            "required": [
                "content"
            ],
            "properties": {
                "category_id": {
                    "type": "integer"
                },
                "content": {
                    "type": "string"
                },
                "id": {
                    "description": "编辑时用",
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsPhraseBatchDeleteReq": {
            "type": "object",
            "required": [
                "ids"
            ],
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.SmsPhraseCategoryTree": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.SmsPhraseCategoryTree"
                    }
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "parent_id": {
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsPhraseQuery": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "所属分类ID",
                    "type": "integer"
                },
                "content": {
                    "description": "模糊搜索内容",
                    "type": "string"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsSignatureRealname": {
            "type": "object",
            "properties": {
                "agent_id_number": {
                    "description": "经办人证件号",
                    "type": "string"
                },
                "agent_id_type": {
                    "description": "经办人证件类型",
                    "type": "integer"
                },
                "agent_name": {
                    "description": "经办人名称",
                    "type": "string"
                },
                "business_type": {
                    "description": "业务类型",
                    "type": "integer"
                },
                "company_credit_code": {
                    "description": "企业信用代码",
                    "type": "string"
                },
                "company_name": {
                    "description": "企业名称",
                    "type": "string"
                },
                "cooperativeName": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "cooperativeNumber": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "is_active": {
                    "description": "是否有效（0 无效；1 有效）",
                    "type": "integer"
                },
                "responsible_id_number": {
                    "description": "责任人证件号",
                    "type": "string"
                },
                "responsible_id_type": {
                    "description": "责任人证件类型",
                    "type": "integer"
                },
                "responsible_name": {
                    "description": "责任人名称",
                    "type": "string"
                },
                "signature": {
                    "description": "签名",
                    "type": "string"
                },
                "signature_source": {
                    "description": "签名来源",
                    "type": "string"
                },
                "sms_template": {
                    "description": "短信模板",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "usage_category": {
                    "description": "用途类别",
                    "type": "integer"
                },
                "usage_detail": {
                    "description": "具体用途",
                    "type": "string"
                }
            }
        },
        "bus_models.SmsTask": {
            "type": "object",
            "properties": {
                "batchID": {
                    "description": "批次ID",
                    "type": "string"
                },
                "channelFailCount": {
                    "description": "通道失败数量",
                    "type": "integer"
                },
                "cooperativeName": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "cooperativeNumber": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "importID": {
                    "description": "导入记录ID（UUID，可为空）",
                    "type": "string"
                },
                "interceptFailCount": {
                    "description": "拦截失败数量",
                    "type": "integer"
                },
                "scheduleTime": {
                    "description": "计划发送时间（定时时间）",
                    "type": "string"
                },
                "smsContent": {
                    "description": "短信内容",
                    "type": "string"
                },
                "smsContentCost": {
                    "description": "短信内容消耗条数",
                    "type": "integer"
                },
                "status": {
                    "description": "任务状态（0待发送 1发送中 2已完成 3失败 4取消）",
                    "type": "integer"
                },
                "totalPhoneCount": {
                    "description": "手机号总数",
                    "type": "integer"
                },
                "totalSmsCount": {
                    "description": "短信计费条数（条数 * 手机数）",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "bus_models.SmsTaskQueryRequest": {
            "type": "object",
            "properties": {
                "batch_id": {
                    "description": "批次ID",
                    "type": "string"
                },
                "end_time": {
                    "description": "格式：2006-01-02 15:04:05",
                    "type": "string"
                },
                "min_phone_count": {
                    "description": "最小手机号总数",
                    "type": "integer"
                },
                "min_total_sms": {
                    "description": "最小短信计费条数",
                    "type": "integer"
                },
                "page": {
                    "description": "页码，从 1 开始",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页条数",
                    "type": "integer"
                },
                "start_time": {
                    "description": "格式：2006-01-02 15:04:05",
                    "type": "string"
                },
                "status": {
                    "description": "状态（可选）",
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsTaskQueryResponse": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "数据列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.SmsTask"
                    }
                },
                "page": {
                    "description": "当前页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                },
                "total_page": {
                    "description": "总页数",
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsTaskScheduledQueryRequest": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "查询结束时间（schedule_time）",
                    "type": "string"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "start_time": {
                    "description": "查询开始时间（schedule_time）",
                    "type": "string"
                }
            }
        },
        "bus_models.SmsTemplate": {
            "type": "object",
            "properties": {
                "content": {
                    "description": "模版内容（必填）",
                    "type": "string"
                },
                "cooperativeName": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "cooperativeNumber": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "expire_at": {
                    "description": "到期时间（有效期）",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "status": {
                    "description": "状态：0=审核中 1=正常 2=拒绝 3=过期",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "bus_models.SmsTemplateCreateRequest": {
            "type": "object",
            "required": [
                "content"
            ],
            "properties": {
                "content": {
                    "description": "模版内容",
                    "type": "string"
                },
                "expire_at": {
                    "description": "到期时间",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                }
            }
        },
        "bus_models.SmsTemplateExportReq": {
            "type": "object",
            "properties": {
                "all": {
                    "description": "是否导出全部",
                    "type": "boolean"
                },
                "ids": {
                    "description": "选择的模版 ID 列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "bus_models.SmsTemplateListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.SmsTemplate"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                },
                "total_page": {
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsTemplateQuery": {
            "type": "object",
            "properties": {
                "content": {
                    "description": "模版内容模糊查询",
                    "type": "string"
                },
                "create_end": {
                    "description": "创建时间止",
                    "type": "string"
                },
                "create_start": {
                    "description": "创建时间起",
                    "type": "string"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "status": {
                    "description": "模版状态（0=待审核，1=正常，2=审核拒绝，3=已过期）",
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsTemplateUpdateRequest": {
            "type": "object",
            "required": [
                "content",
                "id"
            ],
            "properties": {
                "content": {
                    "type": "string"
                },
                "expire_at": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                }
            }
        },
        "bus_models.SmsUplinkQueryRequest": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "接收结束时间",
                    "type": "string"
                },
                "page": {
                    "description": "分页页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页数量",
                    "type": "integer"
                },
                "phone_number": {
                    "description": "手机号",
                    "type": "string"
                },
                "reply_content": {
                    "description": "回复内容关键字",
                    "type": "string"
                },
                "send_id": {
                    "description": "下行ID",
                    "type": "integer"
                },
                "start_time": {
                    "description": "接收开始时间",
                    "type": "string"
                },
                "uplink_id": {
                    "description": "上行ID",
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsUplinkQueryResponse": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.SmsUplinkRecordResponse"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                },
                "total_page": {
                    "type": "integer"
                }
            }
        },
        "bus_models.SmsUplinkRecordResponse": {
            "type": "object",
            "properties": {
                "phone_number": {
                    "description": "手机号",
                    "type": "string"
                },
                "receive_time": {
                    "description": "上行接收时间",
                    "type": "string"
                },
                "reply_content": {
                    "description": "上行回复内容",
                    "type": "string"
                },
                "send_id": {
                    "description": "下行发送记录ID",
                    "type": "integer"
                },
                "send_time": {
                    "description": "下行发送时间",
                    "type": "string"
                },
                "sms_content": {
                    "description": "下行发送内容",
                    "type": "string"
                },
                "uplink_id": {
                    "description": "上行ID",
                    "type": "integer"
                }
            }
        },
        "bus_models.TransactionListReq": {
            "type": "object",
            "properties": {
                "cooperative_id": {
                    "description": "合作商ID",
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "source_funding_type": {
                    "description": "资金来源类型",
                    "type": "integer"
                },
                "transaction_type": {
                    "description": "交易类型（1-加款, 2-减款）",
                    "type": "integer"
                }
            }
        },
        "bus_models.TransactionListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.BusCooperativeTransaction"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "bus_models.UpdateProductDiscountReq": {
            "type": "object",
            "required": [
                "cooperative_number",
                "products"
            ],
            "properties": {
                "cooperative_number": {
                    "description": "合作商编号",
                    "type": "string"
                },
                "products": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/bus_models.ProductDiscount"
                    }
                }
            }
        },
        "dto.GetSetSysConfigReq": {
            "type": "object",
            "properties": {
                "configKey": {
                    "type": "string"
                },
                "configValue": {
                    "type": "string"
                }
            }
        },
        "dto.PassWord": {
            "type": "object",
            "properties": {
                "newPassword": {
                    "type": "string"
                },
                "oldPassword": {
                    "type": "string"
                }
            }
        },
        "dto.ResetSysUserPwdReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "password": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "dto.RoleDataScopeReq": {
            "type": "object",
            "required": [
                "dataScope",
                "roleId"
            ],
            "properties": {
                "dataScope": {
                    "type": "string"
                },
                "deptIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "roleId": {
                    "type": "integer"
                }
            }
        },
        "dto.SysApiCreateReq": {
            "type": "object",
            "required": [
                "action",
                "handle",
                "path",
                "title"
            ],
            "properties": {
                "action": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "handle": {
                    "type": "string"
                },
                "path": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysApiDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysApiUpdateReq": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "handle": {
                    "type": "string"
                },
                "id": {
                    "description": "编码",
                    "type": "integer"
                },
                "path": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysConfigByKeyReq": {
            "type": "object",
            "properties": {
                "configKey": {
                    "type": "string"
                }
            }
        },
        "dto.SysConfigControl": {
            "type": "object",
            "properties": {
                "configKey": {
                    "type": "string"
                },
                "configName": {
                    "type": "string"
                },
                "configType": {
                    "type": "string"
                },
                "configValue": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "description": "编码",
                    "type": "integer"
                },
                "isFrontend": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDeptDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysDeptInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "deptId": {
                    "description": "编码",
                    "type": "integer"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "deptPath": {
                    "description": "路径",
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "leader": {
                    "description": "负责人",
                    "type": "string"
                },
                "parentId": {
                    "description": "上级部门",
                    "type": "integer"
                },
                "phone": {
                    "description": "手机",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDeptUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "deptId": {
                    "description": "编码",
                    "type": "integer"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "deptPath": {
                    "description": "路径",
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "leader": {
                    "description": "负责人",
                    "type": "string"
                },
                "parentId": {
                    "description": "上级部门",
                    "type": "integer"
                },
                "phone": {
                    "description": "手机",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictDataDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysDictDataGetAllResp": {
            "type": "object",
            "properties": {
                "label": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "dto.SysDictDataInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "cssClass": {
                    "type": "string"
                },
                "default": {
                    "type": "string"
                },
                "dictLabel": {
                    "type": "string"
                },
                "dictSort": {
                    "type": "integer"
                },
                "dictType": {
                    "type": "string"
                },
                "dictValue": {
                    "type": "string"
                },
                "isDefault": {
                    "type": "string"
                },
                "listClass": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictDataUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "cssClass": {
                    "type": "string"
                },
                "default": {
                    "type": "string"
                },
                "dictLabel": {
                    "type": "string"
                },
                "dictSort": {
                    "type": "integer"
                },
                "dictType": {
                    "type": "string"
                },
                "dictValue": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "isDefault": {
                    "type": "string"
                },
                "listClass": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictTypeDeleteReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictTypeInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "dictName": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictTypeUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "dictName": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysLoginLogDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysMenuDeleteReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysMenuInsertReq": {
            "type": "object",
            "properties": {
                "action": {
                    "description": "请求方式",
                    "type": "string"
                },
                "apis": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "breadcrumb": {
                    "description": "是否面包屑",
                    "type": "string"
                },
                "component": {
                    "description": "组件",
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "icon": {
                    "description": "图标",
                    "type": "string"
                },
                "isFrame": {
                    "description": "是否frame",
                    "type": "string"
                },
                "menuId": {
                    "description": "编码",
                    "type": "integer"
                },
                "menuName": {
                    "description": "菜单name",
                    "type": "string"
                },
                "menuType": {
                    "description": "菜单类型",
                    "type": "string"
                },
                "noCache": {
                    "description": "是否缓存",
                    "type": "boolean"
                },
                "parentId": {
                    "description": "上级菜单",
                    "type": "integer"
                },
                "path": {
                    "description": "路径",
                    "type": "string"
                },
                "paths": {
                    "description": "id路径",
                    "type": "string"
                },
                "permission": {
                    "description": "权限编码",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "sysApi": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/go-admin_app_admin_models.SysApi"
                    }
                },
                "title": {
                    "description": "显示名称",
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "visible": {
                    "description": "是否显示",
                    "type": "string"
                }
            }
        },
        "dto.SysMenuUpdateReq": {
            "type": "object",
            "properties": {
                "action": {
                    "description": "请求方式",
                    "type": "string"
                },
                "apis": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "breadcrumb": {
                    "description": "是否面包屑",
                    "type": "string"
                },
                "component": {
                    "description": "组件",
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "icon": {
                    "description": "图标",
                    "type": "string"
                },
                "isFrame": {
                    "description": "是否frame",
                    "type": "string"
                },
                "menuId": {
                    "description": "编码",
                    "type": "integer"
                },
                "menuName": {
                    "description": "菜单name",
                    "type": "string"
                },
                "menuType": {
                    "description": "菜单类型",
                    "type": "string"
                },
                "noCache": {
                    "description": "是否缓存",
                    "type": "boolean"
                },
                "parentId": {
                    "description": "上级菜单",
                    "type": "integer"
                },
                "path": {
                    "description": "路径",
                    "type": "string"
                },
                "paths": {
                    "description": "id路径",
                    "type": "string"
                },
                "permission": {
                    "description": "权限编码",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "sysApi": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/go-admin_app_admin_models.SysApi"
                    }
                },
                "title": {
                    "description": "显示名称",
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "visible": {
                    "description": "是否显示",
                    "type": "string"
                }
            }
        },
        "dto.SysOperaLogDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysPostDeleteReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysPostInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "postCode": {
                    "type": "string"
                },
                "postId": {
                    "type": "integer"
                },
                "postName": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "sort": {
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysPostUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "postCode": {
                    "type": "string"
                },
                "postId": {
                    "type": "integer"
                },
                "postName": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "sort": {
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysRoleDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysRoleInsertReq": {
            "type": "object",
            "properties": {
                "admin": {
                    "type": "boolean"
                },
                "createBy": {
                    "type": "integer"
                },
                "dataScope": {
                    "type": "string"
                },
                "deptIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "flag": {
                    "description": "标记",
                    "type": "string"
                },
                "menuIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "roleKey": {
                    "description": "角色代码",
                    "type": "string"
                },
                "roleName": {
                    "description": "角色名称",
                    "type": "string"
                },
                "roleSort": {
                    "description": "角色排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态 1禁用 2正常",
                    "type": "string"
                },
                "sysDept": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/go-admin_app_admin_models.SysDept"
                    }
                },
                "sysMenu": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/go-admin_app_admin_models.SysMenu"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysRoleUpdateReq": {
            "type": "object",
            "properties": {
                "admin": {
                    "type": "boolean"
                },
                "createBy": {
                    "type": "integer"
                },
                "dataScope": {
                    "type": "string"
                },
                "deptIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "flag": {
                    "description": "标记",
                    "type": "string"
                },
                "menuIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "roleKey": {
                    "description": "角色代码",
                    "type": "string"
                },
                "roleName": {
                    "description": "角色名称",
                    "type": "string"
                },
                "roleSort": {
                    "description": "角色排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "sysDept": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/go-admin_app_admin_models.SysDept"
                    }
                },
                "sysMenu": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/go-admin_app_admin_models.SysMenu"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysUserInsertReq": {
            "type": "object",
            "properties": {
                "avatar": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "deptId": {
                    "type": "integer"
                },
                "email": {
                    "type": "string"
                },
                "nickName": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "postId": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "roleId": {
                    "type": "integer"
                },
                "sex": {
                    "type": "string"
                },
                "status": {
                    "type": "string",
                    "default": "1"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "description": "用户ID",
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dto.SysUserUpdateReq": {
            "type": "object",
            "properties": {
                "avatar": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "deptId": {
                    "type": "integer"
                },
                "email": {
                    "type": "string"
                },
                "nickName": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "postId": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "roleId": {
                    "type": "integer"
                },
                "sex": {
                    "type": "string"
                },
                "status": {
                    "type": "string",
                    "default": "1"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "description": "用户ID",
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dto.UpdateStatusReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.UpdateSysUserStatusReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "go-admin_app_admin_models.SysApi": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "handle": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "path": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        },
        "go-admin_app_admin_models.SysConfig": {
            "type": "object",
            "properties": {
                "configKey": {
                    "type": "string"
                },
                "configName": {
                    "type": "string"
                },
                "configType": {
                    "type": "string"
                },
                "configValue": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "isFrontend": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        },
        "go-admin_app_admin_models.SysDept": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/go-admin_app_admin_models.SysDept"
                    }
                },
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deptId": {
                    "description": "部门编码",
                    "type": "integer"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "deptPath": {
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "leader": {
                    "description": "负责人",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "parentId": {
                    "description": "上级部门",
                    "type": "integer"
                },
                "phone": {
                    "description": "手机",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        },
        "go-admin_app_admin_models.SysMenu": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "apis": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "breadcrumb": {
                    "type": "string"
                },
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/go-admin_app_admin_models.SysMenu"
                    }
                },
                "component": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "icon": {
                    "type": "string"
                },
                "isFrame": {
                    "type": "string"
                },
                "is_select": {
                    "type": "boolean"
                },
                "menuId": {
                    "type": "integer"
                },
                "menuName": {
                    "type": "string"
                },
                "menuType": {
                    "type": "string"
                },
                "noCache": {
                    "type": "boolean"
                },
                "params": {
                    "type": "string"
                },
                "parentId": {
                    "type": "integer"
                },
                "path": {
                    "type": "string"
                },
                "paths": {
                    "type": "string"
                },
                "permission": {
                    "type": "string"
                },
                "roleId": {
                    "type": "integer"
                },
                "sort": {
                    "type": "integer"
                },
                "sysApi": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/go-admin_app_admin_models.SysApi"
                    }
                },
                "title": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                },
                "visible": {
                    "type": "string"
                }
            }
        },
        "handler.Login": {
            "type": "object",
            "required": [
                "code",
                "password",
                "username",
                "uuid"
            ],
            "properties": {
                "code": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "username": {
                    "type": "string"
                },
                "uuid": {
                    "type": "string"
                }
            }
        },
        "response.Page": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                }
            }
        },
        "response.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer"
                },
                "msg": {
                    "type": "string"
                },
                "requestId": {
                    "description": "数据集",
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "tools.Params": {
            "type": "object",
            "properties": {
                "treeCode": {
                    "type": "string"
                },
                "treeName": {
                    "type": "string"
                },
                "treeParentCode": {
                    "type": "string"
                }
            }
        },
        "tools.SysColumns": {
            "type": "object",
            "properties": {
                "columnComment": {
                    "type": "string"
                },
                "columnId": {
                    "type": "integer"
                },
                "columnName": {
                    "type": "string"
                },
                "columnType": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "edit": {
                    "type": "boolean"
                },
                "fkCol": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/tools.SysColumns"
                    }
                },
                "fkLabelId": {
                    "type": "string"
                },
                "fkLabelName": {
                    "type": "string"
                },
                "fkTableName": {
                    "type": "string"
                },
                "fkTableNameClass": {
                    "type": "string"
                },
                "fkTableNamePackage": {
                    "type": "string"
                },
                "goField": {
                    "type": "string"
                },
                "goType": {
                    "type": "string"
                },
                "htmlType": {
                    "type": "string"
                },
                "increment": {
                    "type": "boolean"
                },
                "insert": {
                    "type": "boolean"
                },
                "isEdit": {
                    "type": "string"
                },
                "isIncrement": {
                    "type": "string"
                },
                "isInsert": {
                    "type": "string"
                },
                "isList": {
                    "type": "string"
                },
                "isPk": {
                    "type": "string"
                },
                "isQuery": {
                    "type": "string"
                },
                "isRequired": {
                    "type": "string"
                },
                "jsonField": {
                    "type": "string"
                },
                "list": {
                    "type": "string"
                },
                "pk": {
                    "type": "boolean"
                },
                "query": {
                    "type": "boolean"
                },
                "queryType": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "required": {
                    "type": "boolean"
                },
                "sort": {
                    "type": "integer"
                },
                "superColumn": {
                    "type": "boolean"
                },
                "tableId": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                },
                "usableColumn": {
                    "type": "boolean"
                }
            }
        },
        "tools.SysTables": {
            "type": "object",
            "properties": {
                "businessName": {
                    "type": "string"
                },
                "className": {
                    "description": "类名",
                    "type": "string"
                },
                "columns": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/tools.SysColumns"
                    }
                },
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "crud": {
                    "type": "boolean"
                },
                "dataScope": {
                    "type": "string"
                },
                "functionAuthor": {
                    "description": "功能作者",
                    "type": "string"
                },
                "functionName": {
                    "description": "功能名称",
                    "type": "string"
                },
                "isActions": {
                    "type": "integer"
                },
                "isAuth": {
                    "type": "integer"
                },
                "isDataScope": {
                    "type": "integer"
                },
                "isLogicalDelete": {
                    "type": "string"
                },
                "logicalDelete": {
                    "type": "boolean"
                },
                "logicalDeleteColumn": {
                    "type": "string"
                },
                "moduleFrontName": {
                    "description": "前端文件名",
                    "type": "string"
                },
                "moduleName": {
                    "description": "go文件名",
                    "type": "string"
                },
                "options": {
                    "type": "string"
                },
                "packageName": {
                    "description": "包名",
                    "type": "string"
                },
                "params": {
                    "$ref": "#/definitions/tools.Params"
                },
                "pkColumn": {
                    "type": "string"
                },
                "pkGoField": {
                    "type": "string"
                },
                "pkJsonField": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "tableComment": {
                    "description": "表备注",
                    "type": "string"
                },
                "tableId": {
                    "description": "表编码",
                    "type": "integer"
                },
                "tableName": {
                    "description": "表名称",
                    "type": "string"
                },
                "tplCategory": {
                    "type": "string"
                },
                "tree": {
                    "type": "boolean"
                },
                "treeCode": {
                    "type": "string"
                },
                "treeName": {
                    "type": "string"
                },
                "treeParentCode": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        }
    },
    "securityDefinitions": {
        "Bearer": {
            "type": "apiKey",
            "name": "Authorization",
            "in": "header"
        }
    }
}`

// SwaggerInfoadmin holds exported Swagger Info so clients can modify it
var SwaggerInfoadmin = &swag.Spec{
	Version:          "2.0.0",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "go-admin API",
	Description:      "基于Gin + Vue + Element UI的前后端分离权限管理系统的接口文档\n添加qq群: 521386980 进入技术交流群 请先star，谢谢！",
	InfoInstanceName: "admin",
	SwaggerTemplate:  docTemplateadmin,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfoadmin.InstanceName(), SwaggerInfoadmin)
}
